{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
<div class="row">
 <div class="col-sm-8">
   <h4 class="page-title">Enquiries</h4>
 </div>
 <div class="col-sm-4 text-right m-b-30">
   {% if current_user.role.permissions.create_inventory == True %}<a href="{{ url_for('main.create_enquiry') }}" class="btn btn-primary rounded"><i class="fa fa-plus"></i> Create New Enquiry</a>{% endif %}
 </div>
</div>
<div class="row">
 <div class="col-md-12">
   <div class="table-responsive" id="alert">
     <table id="newtab" class="table table-striped custom-table datatable">
       <thead>
         <tr>
           <th>#</th>
           <th>user</th>
           <th>client name</th>
          <th>client email</th>
           <th>make</th>
           <th>model</th>
           <th>year</th>
           <th>Budget</th>
           <th class="text-right">Action</th>
         </tr>
       </thead>
       <tbody id="tab">
         {% for enquiry in enquiries %}

         <tr id='del{{ enquiry.id }}'>
           <td>{{ loop.index }}</td>
           <td>{{ enquiry.author.email }}</td>
            <td>{{ enquiry.client.client_name }}</td>
            <td>{{ enquiry.client.email }}</td>
           <td>{{ enquiry.vehicle.make }}</td>
           <td>{{ enquiry.vehicle.model }}</td>
           <td>{{ enquiry.vehicle.year }}</td>
           <td>{{ "%.2f"|format(enquiry.budget)  }}</td>
           <td class="text-right">
             <div class="dropdown">
               <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
               <ul class="dropdown-menu pull-right">
                 {% if current_user.role.permissions.write_inventory == True %}<li><a href="{{ url_for('main.edit_enquiry', id=enquiry.id) }}"><i class="fa fa-pencil m-r-5"></i> Edit</a></li>{% endif %}
                 {% if current_user.role.permissions.delete_inventory == True %}<li><a href="#" onclick="delete_row('{{ enquiry.id }}','Enquiry', '#del{{ enquiry.id }}')"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li> {% endif %}
               </ul>
             </div>
           </td>
         </tr>

          {% endfor %}
      </tbody>

     </table>
   </div>
 </div>
</div>
     </div>
{% endblock %}
